Ruby
require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
integration_id: 'workday:HWUTwvyx2wLoSUHphiWVrp28',
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.hris.add_employee_document(employee_id: 'GRKdd9dibYKKCrmGRSMJf3wu', body: Models::Shared::PostHrisEmployeesEmployeeIdDocumentsRequestBody.new(
category_id: '3Cjwu7nA7pH5cX5X1NAPmb7M',
document: Models::Shared::Document.new(
name: 'Frank Doe Employment Contract.txt',
content_type: 'text/plain',
data: 'SGkgdGhlcmUsIEtvbWJvIGlzIGN1cnJlbnRseSBoaXJpbmcgZW5naW5lZXJzIHRoYXQgbG92ZSB0byB3b3JrIG9uIGRldmVsb3BlciBwcm9kdWN0cy4='
)
))
unless res.post_hris_employees_employee_id_documents_positive_response.nil?
# handle response
endfrom kombo import Kombo
with Kombo(
integration_id="workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:
res = k_client.hris.add_employee_document(employee_id="GRKdd9dibYKKCrmGRSMJf3wu", category_id="3Cjwu7nA7pH5cX5X1NAPmb7M", document={
"name": "Frank Doe Employment Contract.txt",
"content_type": "text/plain",
"data": "SGkgdGhlcmUsIEtvbWJvIGlzIGN1cnJlbnRseSBoaXJpbmcgZW5naW5lZXJzIHRoYXQgbG92ZSB0byB3b3JrIG9uIGRldmVsb3BlciBwcm9kdWN0cy4=",
})
# Handle response
print(res)import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
integration_id: "workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.hris.addEmployeeDocument({
employee_id: "GRKdd9dibYKKCrmGRSMJf3wu",
body: {
category_id: "3Cjwu7nA7pH5cX5X1NAPmb7M",
document: {
name: "Frank Doe Employment Contract.txt",
content_type: "text/plain",
data: "SGkgdGhlcmUsIEtvbWJvIGlzIGN1cnJlbnRseSBoaXJpbmcgZW5naW5lZXJzIHRoYXQgbG92ZSB0byB3b3JrIG9uIGRldmVsb3BlciBwcm9kdWN0cy4=",
},
},
});
console.log(result);
}
run();curl --request POST \
--url https://api.kombo.dev/v1/hris/employees/{employee_id}/documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Integration-Id: <x-integration-id>' \
--data '
{
"category_id": "3Cjwu7nA7pH5cX5X1NAPmb7M",
"document": {
"name": "Frank Doe Employment Contract.txt",
"data": "SGkgdGhlcmUsIEtvbWJvIGlzIGN1cnJlbnRseSBoaXJpbmcgZW5naW5lZXJzIHRoYXQgbG92ZSB0byB3b3JrIG9uIGRldmVsb3BlciBwcm9kdWN0cy4=",
"content_type": "text/plain"
}
}
'const options = {
method: 'POST',
headers: {
'X-Integration-Id': '<x-integration-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
category_id: '3Cjwu7nA7pH5cX5X1NAPmb7M',
document: {
name: 'Frank Doe Employment Contract.txt',
data: 'SGkgdGhlcmUsIEtvbWJvIGlzIGN1cnJlbnRseSBoaXJpbmcgZW5naW5lZXJzIHRoYXQgbG92ZSB0byB3b3JrIG9uIGRldmVsb3BlciBwcm9kdWN0cy4=',
content_type: 'text/plain'
}
})
};
fetch('https://api.kombo.dev/v1/hris/employees/{employee_id}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombo.dev/v1/hris/employees/{employee_id}/documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'category_id' => '3Cjwu7nA7pH5cX5X1NAPmb7M',
'document' => [
'name' => 'Frank Doe Employment Contract.txt',
'data' => 'SGkgdGhlcmUsIEtvbWJvIGlzIGN1cnJlbnRseSBoaXJpbmcgZW5naW5lZXJzIHRoYXQgbG92ZSB0byB3b3JrIG9uIGRldmVsb3BlciBwcm9kdWN0cy4=',
'content_type' => 'text/plain'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Integration-Id: <x-integration-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kombo.dev/v1/hris/employees/{employee_id}/documents"
payload := strings.NewReader("{\n \"category_id\": \"3Cjwu7nA7pH5cX5X1NAPmb7M\",\n \"document\": {\n \"name\": \"Frank Doe Employment Contract.txt\",\n \"data\": \"SGkgdGhlcmUsIEtvbWJvIGlzIGN1cnJlbnRseSBoaXJpbmcgZW5naW5lZXJzIHRoYXQgbG92ZSB0byB3b3JrIG9uIGRldmVsb3BlciBwcm9kdWN0cy4=\",\n \"content_type\": \"text/plain\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Integration-Id", "<x-integration-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kombo.dev/v1/hris/employees/{employee_id}/documents")
.header("X-Integration-Id", "<x-integration-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"category_id\": \"3Cjwu7nA7pH5cX5X1NAPmb7M\",\n \"document\": {\n \"name\": \"Frank Doe Employment Contract.txt\",\n \"data\": \"SGkgdGhlcmUsIEtvbWJvIGlzIGN1cnJlbnRseSBoaXJpbmcgZW5naW5lZXJzIHRoYXQgbG92ZSB0byB3b3JrIG9uIGRldmVsb3BlciBwcm9kdWN0cy4=\",\n \"content_type\": \"text/plain\"\n }\n}")
.asString();{
"status": "<string>",
"data": {},
"warnings": [
{
"message": "<string>"
}
]
}Employee Documents
Add document to employee
Uploads an document file for the specified employee.
POST
/
hris
/
employees
/
{employee_id}
/
documents
Ruby
require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
integration_id: 'workday:HWUTwvyx2wLoSUHphiWVrp28',
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.hris.add_employee_document(employee_id: 'GRKdd9dibYKKCrmGRSMJf3wu', body: Models::Shared::PostHrisEmployeesEmployeeIdDocumentsRequestBody.new(
category_id: '3Cjwu7nA7pH5cX5X1NAPmb7M',
document: Models::Shared::Document.new(
name: 'Frank Doe Employment Contract.txt',
content_type: 'text/plain',
data: 'SGkgdGhlcmUsIEtvbWJvIGlzIGN1cnJlbnRseSBoaXJpbmcgZW5naW5lZXJzIHRoYXQgbG92ZSB0byB3b3JrIG9uIGRldmVsb3BlciBwcm9kdWN0cy4='
)
))
unless res.post_hris_employees_employee_id_documents_positive_response.nil?
# handle response
endfrom kombo import Kombo
with Kombo(
integration_id="workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:
res = k_client.hris.add_employee_document(employee_id="GRKdd9dibYKKCrmGRSMJf3wu", category_id="3Cjwu7nA7pH5cX5X1NAPmb7M", document={
"name": "Frank Doe Employment Contract.txt",
"content_type": "text/plain",
"data": "SGkgdGhlcmUsIEtvbWJvIGlzIGN1cnJlbnRseSBoaXJpbmcgZW5naW5lZXJzIHRoYXQgbG92ZSB0byB3b3JrIG9uIGRldmVsb3BlciBwcm9kdWN0cy4=",
})
# Handle response
print(res)import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
integration_id: "workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.hris.addEmployeeDocument({
employee_id: "GRKdd9dibYKKCrmGRSMJf3wu",
body: {
category_id: "3Cjwu7nA7pH5cX5X1NAPmb7M",
document: {
name: "Frank Doe Employment Contract.txt",
content_type: "text/plain",
data: "SGkgdGhlcmUsIEtvbWJvIGlzIGN1cnJlbnRseSBoaXJpbmcgZW5naW5lZXJzIHRoYXQgbG92ZSB0byB3b3JrIG9uIGRldmVsb3BlciBwcm9kdWN0cy4=",
},
},
});
console.log(result);
}
run();Supported integrations
Supported integrations
This feature is currently available for the following integrations:
Personio
Workday
SAP SuccessFactors
AFAS Software
BambooHR
HiBob
Nmbrs
Sage HR
HR WORKS
Visma YouServe
Hansalog
HoorayHR
HR4YOU
SD Worx
This endpoint requires the permission Manage documents to be enabled in your scope config.
Example Request Body
{
"category_id": "3Cjwu7nA7pH5cX5X1NAPmb7M",
"document": {
"name": "Frank Doe Employment Contract.txt",
"data": "SGkgdGhlcmUsIEtvbWJvIGlzIGN1cnJlbnRseSBoaXJpbmcgZW5naW5lZXJzIHRoYXQgbG92ZSB0byB3b3JrIG9uIGRldmVsb3BlciBwcm9kdWN0cy4=",
"content_type": "text/plain"
}
}
Authorizations
Headers
ID of the integration you want to interact with.
Path Parameters
POST /hris/employees/:employee_id/documents Parameter
Body
application/json
POST /hris/employees/:employee_id/documents Request body
Response
POST /hris/employees/:employee_id/documents Positive response
Was this page helpful?
⌘I